Bug 481320 - kernel and post kernel kickstart options broken
kernel and post kernel kickstart options broken
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity low
: ---
: ---
Assigned To: Partha Aji
Jesus M. Rodriguez
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-01-23 10:31 EST by John Hodrien
Modified: 2009-10-15 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 529277 (view as bug list)
Environment:
Last Closed: 2009-09-10 08:05:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Hodrien 2009-01-23 10:31:56 EST
Description of problem:

Setting kernel options or post kernel options for a kickstart doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1.  Set kernel and post kernel options at 
2.  Click update kickstart
  
Actual results:

Both options are blanked out, and are not obviously stored and used anywhere.

Expected results:

Options should still be visible in the webui, and subsequent installs using that kickstart profile should include those parameters.

Additional info:
Comment 1 John Hodrien 2009-01-23 10:37:02 EST
More info definitely required.  I was trying "vnc vncpassword=foo" as the post kernel options, but it won't let you have a single word as an option, it was name=value.

Is this just the wrong place to be doing it?
Comment 2 Clifford Perry 2009-06-23 13:32:25 EDT
I think this was resolved by a recent commit. Assigning to Partha for review.
Comment 3 Partha Aji 2009-07-15 22:19:38 EDT
Yeo SHould be resolved..
Comment 4 Miroslav Suchý 2009-09-10 08:05:12 EDT
Spacewalk 0.6 released
Comment 5 Michael Rudel 2009-10-15 16:37:58 EDT
this does not appear to be fixed in 0.6

if you specify options such as:

nostorage latefcload 

in the 'kernel options' portion of the kickstart profile, it actually passes them to the install kernel like this:

nostorage= latefcload=

Note You need to log in before you can comment on or make changes to this bug.